@charset "UTF-8";
@import url(font-awesome.min.css);
@import url("https://fonts.googleapis.com/css?family=Signika:300,700");

* {
	box-sizing: border-box;
}

.grid-container {
  display: grid;
  grid-template-columns: auto auto auto;
  background-color: #2196F3;
  padding: 10px;
}

.grid-item {
  background-color: rgba(255, 255, 255, 0.8);
  border: 1px solid rgba(0, 0, 0, 0.8);
  padding: 20px;
  font-size: 30px;
  text-align: center;
}

#country {
  width: 25%;
  padding: 14px 5px;
  border-radius: 4px;
  background-color: #FFF;
  margin-right:1.5rem;
}

.welcome-txt{
	font-size: 24px;
	color: skyblue;
	margin-bottom: 1.5rem;
	font-family: 'Share Tech Mono', monospace;
	text-align: center;
}

/* 
html {
	height: 100%;
}

body {
	margin: 0;
	background: #062038;
	text-align: left;
} */

/*
	Broadcast by TEMPLATED
	templated.co @templatedco
	Released for free under the Creative Commons Attribution 3.0 license (templated.co/license)
*/

/* Reset */

	html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption, footer, header, hgroup, menu, nav, output, ruby, section, summary, time, mark, audio, video {
		margin: 0;
		padding: 0;
		border: 0;
		font-size: 100%;
		font: inherit;
		vertical-align: baseline;
	}

	article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section {
		display: block;
	}

	body {
		line-height: 1;
		background: #062038;
	}
.container {
	max-width: 980px;
	margin: 3rem auto 0 auto;
}

.row {
	box-sizing: border-box;
	margin: 30px auto 0 auto;
	padding-bottom: 15px;
	width: 100%;
	clear: both;
}

section {
	box-sizing: border-box;
	font-family: 'Share Tech Mono', monospace;
}

.main {
	width: 65%;
	margin: 30px auto 0 auto;
	overflow: hidden;
}

.start-btn{
	border: 0!important;
	border-radius: 3px;
    line-height: 1.3!important;
    background: #90ee90!important;
	color: black!important;
	font-weight: 400;
	font-size: 16px;
    border-radius: 4px!important;
	padding:0.7rem 1.75rem!important;
	margin-right:1.5rem;
	cursor: pointer;
}

.start-btn:hover{
    color: #fff;
	font-weight: 600;
	font-size: 16px;
    box-shadow: 0 5px 10px rgba(0,0,0,0.3)!important;
}

.close-btn{
	border: 0!important;
	border-radius: 3px;
    line-height: 1.3!important;
    background: #c4d2df!important;
	color: black!important;
	font-weight: 400;
	font-size: 16px;
    border-radius: 4px!important;
	padding:0.7rem 1.75rem!important;
	cursor: pointer;
}

.close-btn:hover{
    color: #fff;
	font-weight: 600;
	font-size: 16px;
    box-shadow: 0 5px 10px rgba(0,0,0,0.3)!important;
}
#hint{
	font-family: 'Share Tech Mono', monospace;
	font-size: 25px!important;
	display: inline;
	color: #fff;
}


#hint1{
	font-family: 'Share Tech Mono', monospace;
	font-size: 25px!important;
	color: skyblue;
}

/*head content*/
#text {
	float: left;
	width: 60%;
}

p {
	box-sizing: border-box;
	margin: 0 auto;
	font-size: 24px;
	color: white;
}

.num {
	color: #AE81FF;
}

.string {
	color: Gold;
}

.func {
	color: SkyBlue;
}

.exprs {
	color: #F92672;
}

.indent {
	padding-left: 20px;
}

#hang {
	float: right;
}


/*svg*/
line {
  stroke: white;
  stroke-width: 4;
}

#body>line {
	stroke-width: 2;
}

#xEyes>line {
	stroke-width: 1;
}

#door1 {
  transform-origin: 0% 100%;
}

#door2 {
  transform-origin: 100% 100%;
}

/*button list*/
.alphabet {
	width: 50%;
	text-align: center;
	margin: 0 auto;
}

.alphabet>li {
	box-sizing: border-box;
	display: inline-block;
	list-style: none;
	cursor: pointer;
	height: 35px;
	width: 35px;
	margin: 0 7px 0 0;
	padding-top: 4px;
	font-size: 24px;
	color: darkslategrey;
	background-color: white;
	transition: background-color .4s linear,  transform .4s linear, box-shadow .8s linear, opacity .4s;
	border-radius: 8px;
}

.letter:hover {
	background-color: salmon;
}

.shadow {
  	box-shadow: 0 1px 0 #c9cfce, 
	    0 2px 0 #bcc2c2, 
	    0 3px 0 #afb6b6, 
	    0 4px 0 #a4adac, 
	    0 5px 0 #9fa8a7,
	    0 6px 0 #99a3a2,
	    0 7px 0 #97a1a0,
	    0 8px 0 #949e9d;
}

.used {
	opacity: .4;
	transform: translateY(4px);
  	box-shadow: 0 1px 0 #c9cfce, 
	   			0 2px 0 #bcc2c2, 
			    0 3px 0 #afb6b6, 
			    0 4px 0 #a4adac;
}

ul>.used:hover {
	background-color: white;
	cursor: default;
}

/*guess list*/
#guesses {
	text-align: center;
	margin: 0 auto;
}


#guesses>li {
	list-style: none;
	display: inline;
	width: 35px;
	margin: 0 10px 5px 0px;
	font-size: 30px;
	color: white;
}

/*misc*/
#replay {
	cursor: default;
	transition: 1s ease;
}

span#replay:hover {
    text-shadow: 0 0 10px white;
	cursor: default;
}

.hide {
	display: none;
}

@media screen and (max-width: 980px) {
	.container {
		width: 750px;
	}

	.main {
		margin: 30px auto 0 auto;
	}
	
	#hang {
		float: none;
		width: 45%;
		margin: 30px auto 0 auto;
	}

	#text {
		float: none;
		width: 75%;
		margin: 0 auto;
	}
	
	.alphabet {
		width: 75%;
	}
}

/*@media screen and (max-width: 768px) {
}

@media screen and (max-width: 640px) {
}*/

.prodapt-logo{
	display: block;
	width:11%;
	filter: brightness(0) invert(1);
	cursor: pointer;
}

.ig-logo{
	display: block;
	width:78%;
	filter: brightness(0) invert(1);
}

#header {
	background: #212529;
	color: #c0c5c9;
	cursor: default;
	height: auto;
	left: 0;
	line-height: 3.25em;
	position: fixed;
	text-align: right;
	top: 0;
	width: 100%;
	z-index: 1000;
	display: flex;
	padding: 0.15rem 1rem;
	align-items: center;
	box-shadow: 0px 4px 14px rgba(0, 0, 0, 0.2);
}

	#header > h1 {
		color: #ffffff;
		display: inline-block;
		height: inherit;
		left: 1.25em;
		line-height: inherit;
		margin: 0;
		padding: 0;
		position: absolute;
		top: 0;
	}

		#header > h1 a {
			font-size: 1.25em;
		}

			#header > h1 a:hover {
				color: #ffffff;
			}

		#header > h1 span {
			font-weight: 300;
			font-size: .8em;
		}

	#header > a {
		-moz-transition: color 0.2s ease-in-out;
		-webkit-transition: color 0.2s ease-in-out;
		-ms-transition: color 0.2s ease-in-out;
		transition: color 0.2s ease-in-out;
		display: inline-block;
		color: inherit;
		text-decoration: none;
	}

		#header > a:hover {
			color: #ffffff;
		}

		#header > a[href="#menu"] {
			text-decoration: none;
			-webkit-tap-highlight-color: transparent;
		}

			#header > a[href="#menu"]:before {
				content: "";
				-moz-osx-font-smoothing: grayscale;
				-webkit-font-smoothing: antialiased;
				font-family: FontAwesome;
				font-style: normal;
				font-weight: normal;
				text-transform: none !important;
				font-size: 24px;
			}

			#header > a[href="#menu"]:before {
				margin: 0 0.5em 0 0;
			}

		#header > a + a[href="#menu"]:last-child {
			border-left: solid 1px rgba(255, 255, 255, 0.15);
			padding-left: 1.25em;
			margin-left: 0.5em;
		}


		@media screen and (max-width: 736px) {

			#header > a {
				padding: 0 0.5em;
			}

				#header > a + a[href="#menu"]:last-child {
					padding-left: 1em;
					margin-left: 0.25em;
				}

				#header > a:last-child {
					padding-right: 1em;
				}

		}

@media screen and (max-width: 980px) {

	body {
		padding-top: 44px;
	}

	#header {
		height: 44px;
		line-height: 44px;
	}

		#header > h1 {
			left: 1em;
		}

			#header > h1 a {
				font-size: 1em;
			}

}

@media screen and (max-width: 480px) {

	#header {
		min-width: 320px;
	}

}

/* Menu */

#menu {
	-moz-transform: translateX(20em);
	-webkit-transform: translateX(20em);
	-ms-transform: translateX(20em);
	transform: translateX(20em);
	-moz-transition: -moz-transform 0.5s ease, box-shadow 0.5s ease, visibility 0.5s;
	-webkit-transition: -webkit-transform 0.5s ease, box-shadow 0.5s ease, visibility 0.5s;
	-ms-transition: -ms-transform 0.5s ease, box-shadow 0.5s ease, visibility 0.5s;
	transition: transform 0.5s ease, box-shadow 0.5s ease, visibility 0.5s;
	-webkit-overflow-scrolling: touch;
	background: #041625;
	box-shadow: none;
	color: #ffffff;
	height: 100%;
	max-width: 80%;
	overflow-y: auto;
	padding: 3em 2em;
	position: fixed;
	right: 0;
	top: 0;
	visibility: hidden;
	width: 20em;
	z-index: 10002;
	font-family:-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";

}

	#menu > ul {
		margin: 0 0 1em 0;
	}

		#menu > ul.links {
			list-style: none;
			padding: 0;
		}

			#menu > ul.links > li {
				padding: 0;
			}

				#menu > ul.links > li > a:not(.button) {
					border: 0;
					border-top: solid 1px rgba(255, 255, 255, 0.15);
					color: inherit;
					display: block;
					line-height: 3.5em;
					text-decoration: none;
				}

				#menu > ul.links > li > .button {
					display: block;
					margin: 0.5em 0 0 0;
				}

				#menu > ul.links > li:first-child > a:not(.button) {
					border-top: 0 !important;
				}

	#menu .close {
		text-decoration: none;
		-moz-transition: color 0.2s ease-in-out;
		-webkit-transition: color 0.2s ease-in-out;
		-ms-transition: color 0.2s ease-in-out;
		transition: color 0.2s ease-in-out;
		-webkit-tap-highlight-color: transparent;
		border: 0;
		color: #9ba2a8;
		cursor: pointer;
		display: block;
		height: 3.25em;
		line-height: 3.25em;
		padding-right: 1.25em;
		position: absolute;
		right: 0;
		text-align: right;
		top: 0;
		vertical-align: middle;
		width: 7em;
	}

		#menu .close:before {
			content: "";
			-moz-osx-font-smoothing: grayscale;
			-webkit-font-smoothing: antialiased;
			font-family: FontAwesome;
			font-style: normal;
			font-weight: normal;
			text-transform: none !important;
		}

		#menu .close:before {
			font-size: 1.25em;
		}

		#menu .close:hover {
			color: #ffffff;
		}

		@media screen and (max-width: 736px) {

			#menu .close {
				height: 4em;
				line-height: 4em;
			}

		}

	#menu.visible {
		-moz-transform: translateX(0);
		-webkit-transform: translateX(0);
		-ms-transform: translateX(0);
		transform: translateX(0);
		box-shadow: 0 0 1.5em 0 rgba(0, 0, 0, 0.2);
		visibility: visible;
	}

	@media screen and (max-width: 736px) {

		#menu {
			padding: 2.5em 1.75em;
		}

	}
a:hover {
    color: #0056b3;
    text-decoration: none;
}
a {
    color: #007bff;
    text-decoration: none;
	background-color: transparent;
}
/* Footer */

#footer {
	padding: 1em 0 1em 0;
	background:#041625;
	font-family:-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
	line-height: 1.5;
}


	#footer > .inner {
		margin: 0 auto;
		width: 80em;
	}

	#footer .copyright {
		color: #676d71;
		font-size: 1em;
		padding: 0;
		text-align: center;
	}

		#footer .copyright .icons {
			margin: 2em 0 0 0;
		}

	@media screen and (max-width: 1280px) {

		#footer > .inner {
			width: 65em;
		}

	}

	@media screen and (max-width: 980px) {

		#footer > .inner {
			width: 90%;
		}

	}

	@media screen and (max-width: 736px) {

		#footer {
			padding: 3em 0 1em 0;
		}

	}

.select-container{
	display: flex;
    align-items: center;
    justify-content: center;
}